/* Aggregate Estimates Final */
/*** Aggregate Figures, Tables, Footnotes and Additional Analyses ***/
/* Table 2 */
/* Table 3 */
/* Table A2 */
/* Table A3 */
/* Table A9 */
/* Table A10 */
/* Table A11 */
/* Table A12 */
/* Figure 4 */
/* Figure 5 */
/* Figure 7 */
/* Figure A1 */
/* Figure A3 */
/* Additional Analyses from Appendix Exercises */


/*** Begin Aggregate Tables ***/

/** Table 2: Parameter Estimates **/
/* Column 1: Money All Delay Lengths */
intreg logmoneyratiolow logmoneyratiohigh moneyt0 logmoneypratio moneyk if moneysample ==1 & moneychoices ==1, nocons clu(id)
nlcom (alpha: (1/_b[logmoneypratio] + 1) ) (delta: (exp(_b[moneyk]/_b[logmoneypratio]))^7) (beta: exp(_b[moneyt0]/_b[logmoneypratio]))  , post
est store col1
test beta = 1
scalar b1 = round(r(chi2), .01)
scalar b1p = round(r(p), .001)
test delta = 1
scalar d1 = round(r(chi2), .01)
scalar d1p = round(r(p), .001)

/* Column 2: Three Week Delay Lengths */
intreg logmoneyratiolow logmoneyratiohigh moneyt0 logmoneypratio moneyk if moneysample ==1 & moneychoices ==1 & moneyk == 21, nocons clu(id)
nlcom (alpha: (1/_b[logmoneypratio] + 1) ) (delta: (exp(_b[moneyk]/_b[logmoneypratio]))^7) (beta: exp(_b[moneyt0]/_b[logmoneypratio]))  , post
est store col2
test beta = 1
scalar b2 = round(r(chi2), .01)
scalar b2p = round(r(p), .001)
test delta = 1
scalar d2 = round(r(chi2), .01)
scalar d2p = round(r(p), .001)

/* Column 3: Greek Transcription */
intreg logworkratiolow logworkratiohigh t0 logpratio k  if task == 1 & attrit == 0 & late == 0, nocons clu(id)
nlcom (lambda: (1/_b[logpratio] + 1) ) (delta: (exp(_b[k]/_b[logpratio]))^7) (beta: exp(_b[t0]/_b[logpratio]))  , post
est store col3
test beta = 1
scalar b3 = round(r(chi2), .01)
scalar b3p = round(r(p), .001)
test delta = 1
scalar d3 = round(r(chi2), .01)
scalar d3p = round(r(p), .001)

/* Column 4: Tetris */
intreg logworkratiolow logworkratiohigh t0 logpratio k  if task == 2 & attrit == 0 & late == 0, nocons clu(id)
nlcom (lambda: (1/_b[logpratio] + 1) ) (delta: (exp(_b[k]/_b[logpratio]))^7) (beta: exp(_b[t0]/_b[logpratio]))  , post
est store col4
test beta = 1
scalar b4 = round(r(chi2), .01)
scalar b4p = round(r(p), .001)
test delta = 1
scalar d4 = round(r(chi2), .01)
scalar d4p = round(r(p), .001)

/* Column 5: Combined Greek and Tetris */
xi: intreg logworkratiolow logworkratiohigh t0 logpratio k i.task   if attrit == 0 & late == 0, nocons clu(id)
nlcom (lambda: (1/_b[logpratio] + 1) ) (delta: (exp(_b[k]/_b[logpratio]))^7) (beta: exp(_b[t0]/_b[logpratio]))  , post
est store col5
test beta = 1
scalar b5 = round(r(chi2), .01)
scalar b5p = round(r(p), .001)
test delta = 1
scalar d5 = round(r(chi2), .01)
scalar d5p = round(r(p), .001)

log on
/* Table 2: Parameter Estimates */
estout col1 col2 col3 col4 col5 , cells(b(fmt(%9.3f)) se(par fmt(%9.3f))) style(tex) stats(N ll r2) order(beta delta alpha lambda)

disp "&" b1 "&" b2 "&" b3 "&" b4 "&" b5 "\\"
disp "& (p =" b1p ")&( p =" b2p ")&(p =" b3p ")&(p=" b4p ")& (p=" b5p ")\\"
log off

/* Test for Equality of Present Bias Across Work And Money */
/* Estimate Columns 1, 2, 5 */
intreg logworkratiolow logworkratiohigh t0 logpratio k i.task  if attrit == 0 & late == 0, nocons
est store col5init
intreg logmoneyratiolow logmoneyratiohigh moneyt0 logmoneypratio moneyk if moneysample ==1 , nocons 
est store col1init
intreg logmoneyratiolow logmoneyratiohigh moneyt0 logmoneypratio moneyk if moneysample ==1 & moneyk ==21, nocons 
est store col2init

/* Combine Estimates with Seemingly Unrelated Regression */
suest col5init col1init col2init , vce(cluster uniqid)

log on
/* Table 2 Tested Hypotheses */
/* Tests for Equal Betas for Columns 1 & 5 and Columns 2 & 5 */
nlcom (betawork: exp([col5init_model]t0/[col5init_model]logpratio)) (betamoneyall: exp([col1init_model]moneyt0/[col1init_model]logmoneypratio) ) (betamoney3week: exp([col2init_model]moneyt0/[col2init_model]logmoneypratio))
testnl exp([col5init_model]t0/[col5init_model]logpratio) = exp([col1init_model]moneyt0/[col1init_model]logmoneypratio)
testnl exp([col5init_model]t0/[col5init_model]logpratio) = exp([col2init_model]moneyt0/[col2init_model]logmoneypratio)
log off

/** Table 3: Monetary and Real Effort Discounting by Commitment **/
/* Column 1: Noncommitting Subjects, Monetary Discounting */
intreg logmoneyratiolow logmoneyratiohigh moneyt0 logmoneypratio moneyk if moneysample ==1 & moneychoices ==1 & committer == 0 & moneyk == 21, nocons clu(uniqid)
nlcom (alpha: (1/_b[logmoneypratio] + 1) ) (delta: (exp(_b[moneyk]/_b[logmoneypratio]))^7) (beta: exp(_b[moneyt0]/_b[logmoneypratio]))  , post
est store col1
test beta = 1
scalar b1 = round(r(chi2), .01)
scalar b1p = round(r(p), .001)

/* Column 2: Committing Subjects, Monetary Discounting */
intreg logmoneyratiolow logmoneyratiohigh moneyt0 logmoneypratio moneyk if moneysample ==1 & moneychoices ==1 & committer == 1 & moneyk == 21, nocons clu(uniqid)
nlcom (alpha: (1/_b[logmoneypratio] + 1) ) (delta: (exp(_b[moneyk]/_b[logmoneypratio]))^7) (beta: exp(_b[moneyt0]/_b[logmoneypratio]))  , post
est store col2
test beta = 1
scalar b2 = round(r(chi2), .01)
scalar b2p = round(r(p), .001)

/* Column 3: Noncommitting Subjects, Effort Discounting */
xi: intreg logworkratiolow logworkratiohigh t0 logpratio k i.task  if attrit == 0 & committer == 0 & late == 0, nocons clu(id)
nlcom (lambda: (1/_b[logpratio] + 1) ) (delta: (exp(_b[k]/_b[logpratio]))^7) (beta: exp(_b[t0]/_b[logpratio]))  , post
est store col3
test beta = 1
scalar b3 = round(r(chi2), .01)
scalar b3p = round(r(p), .001)

/* Column 4: Committing Subjects, Effort Discounting */
xi: intreg logworkratiolow logworkratiohigh t0 logpratio k i.task  if attrit == 0 & committer == 1 & late == 0, nocons clu(id)
nlcom (lambda: (1/_b[logpratio] + 1) ) (delta: (exp(_b[k]/_b[logpratio]))^7) (beta: exp(_b[t0]/_b[logpratio]))  , post
est store col4
test beta = 1
scalar b4 = round(r(chi2), .01)
scalar b4p = round(r(p), .001)

log on
/* Table 3: Monetary and Real Effort Discounting by Commitment */
estout col1 col2 col3 col4, cells(b(fmt(%9.3f)) se(par fmt(%9.3f))) style(tex) stats(N ll r2) order(beta delta alpha lambda)

disp "&" b1 "&" b2 "&" b3 "&" b4 "\\"
disp "& (p =" b1p ")&( p =" b2p ")&(p =" b3p ")&(p=" b4p ")\\"
log off


/* Test for Equality of Present Bias Across Committing and Non Committing Subjects */
/* Estimate Columns 1-4 */
intreg logmoneyratiolow logmoneyratiohigh moneyt0 logmoneypratio moneyk if moneysample ==1 & moneychoices ==1 & committer == 0 & moneyk == 21 , nocons
est store col1init
intreg logmoneyratiolow logmoneyratiohigh moneyt0 logmoneypratio moneyk if moneysample ==1 & moneychoices ==1 & committer == 1 & moneyk == 21, nocons
est store col2init
xi: intreg logworkratiolow logworkratiohigh t0 logpratio k i.task if attrit == 0  & committer == 0 & late == 0, nocons
est store col3init
xi: intreg logworkratiolow logworkratiohigh t0 logpratio k i.task if attrit == 0  & committer == 1 & late == 0, nocons
est store col4init

/* Combine Estimates with Seemingly Unrelated Regression */
suest col1init col2init col3init col4init, vce(cluster uniqid)

log on
/* Table 3 Tested Hypotheses */
/* Tests for Equal Betas for Columns 1 & 2 and Columns 3 & 4 */
testnl exp([col1init_model]moneyt0/[col1init_model]logmoneypratio) = exp([col2init_model]moneyt0/[col2init_model]logmoneypratio)
testnl exp([col3init_model]t0/[col3init_model]logpratio) = exp([col4init_model]t0/[col4init_model]logpratio)
log off



log on
/** Table A2 : Present Bias By Interest Rate **/
/* Panel A: Effort Choices */
foreach x of numlist 0.5 0.75 1 1.25 1.5 {
qui ttest initbs = subbs if discountrate == `x' & round == 2 & attrit == 0
local initm= round(r(mu_1), .001)
local initsd= round(r(sd_1), .001)
local subm= round(r(mu_2), .001)
local subsd= round(r(sd_2), .001)
local tstat= round(r(t), .001)
local pval= round(r(p), .001)
qui su pb  if discountrate == `x' & round == 2 & attrit == 0
local pbprop = round(r(mean), .001)
qui su dc  if discountrate == `x' & round == 2 & attrit == 0
local dcprop = round(r(mean), .001)
qui su fb  if discountrate == `x' & round == 2 & attrit == 0
local fbprop = round(r(mean), .001)
disp `x' "&" `initm' "&" `subm' " & " `tstat' "&" `pbprop' "&" `dcprop' " & " `fbprop' "\\"
disp  "&(" `initsd' ")&(" `subsd' ") & (p=" `pval' ")&" "\\"
}

reg bs t0 if (round == 1 |round == 2) & attrit == 0, clu(id)

/* Panel B: Money Choices */ 
capture drop temp
egen temp = group(discountrate) if moneychoices == 1

foreach x of numlist  1  2 3 4 5 {
qui su discountrate if temp == `x'
local rate = round(r(mean), .001)
qui ttest moneyinitbs = moneysubbs if temp == `x' & moneysample == 1
local initm= round(r(mu_1), .001)
local initsd= round(r(sd_1), .001)
local subm= round(r(mu_2), .001)
local subsd= round(r(sd_2), .001)
local tstat= round(r(t), .001)
local pval= round(r(p), .001)
qui su pbmoney  if temp == `x' &  moneysample == 1
local pbprop = round(r(mean), .001)
qui su dcmoney  if temp == `x' & moneysample == 1
local dcprop = round(r(mean), .001)
qui su fbmoney  if temp  == `x' & moneysample == 1
local fbprop = round(r(mean), .001)
disp `rate' "&" `initm' "&" `subm' " & " `tstat' "&" `pbprop' "&" `dcprop' " & " `fbprop' "\\"
disp  "&(" `initsd' ")&(" `subsd' ") & (p=" `pval' ")&" "\\"
}

reg moneybs moneyt0 if moneyk==21 & moneysample==1, clu(id)

log off


log on
/** Table A3 : Present Bias By Interest Rate Full Data Set**/
/* Panel A: Effort Choices */
foreach x of numlist 0.5 0.75 1 1.25 1.5 {
qui ttest initbs = subbs if discountrate == `x' & (round == 2|round ==5) & attrit == 0
local initm= round(r(mu_1), .001)
local initsd= round(r(sd_1), .001)
local subm= round(r(mu_2), .001)
local subsd= round(r(sd_2), .001)
local tstat= round(r(t), .001)
local pval= round(r(p), .001)
qui su pb  if discountrate == `x' & (round == 2|round ==5) & attrit == 0
local pbprop = round(r(mean), .001)
qui su dc  if discountrate == `x' & (round == 2|round ==5) & attrit == 0
local dcprop = round(r(mean), .001)
qui su fb  if discountrate == `x' & (round == 2|round ==5) & attrit == 0
local fbprop = round(r(mean), .001)
disp `x' "&" `initm' "&" `subm' " & " `tstat' "&" `pbprop' "&" `dcprop' " & " `fbprop' "\\"
disp  "&(" `initsd' ")&(" `subsd' ") & (p=" `pval' ")&" "\\"
}

reg bs t0 if (round == 1 |round == 2 | round == 4 |round == 5) & attrit == 0, clu(id)

/* Panel B: Money Choices */ 
capture drop temp
egen temp = group(discountrate) if moneychoices == 1

foreach x of numlist  1  2 3 4 5 {
qui su discountrate if temp == `x'
local rate = round(r(mean), .001)
qui ttest moneyinitbs = moneysubbs if temp == `x' & moneysample == 1
local initm= round(r(mu_1), .001)
local initsd= round(r(sd_1), .001)
local subm= round(r(mu_2), .001)
local subsd= round(r(sd_2), .001)
local tstat= round(r(t), .001)
local pval= round(r(p), .001)
qui su pbmoney  if temp == `x' &  moneysample == 1
local pbprop = round(r(mean), .001)
qui su dcmoney  if temp == `x' & moneysample == 1
local dcprop = round(r(mean), .001)
qui su fbmoney  if temp  == `x' & moneysample == 1
local fbprop = round(r(mean), .001)
disp `rate' "&" `initm' "&" `subm' " & " `tstat' "&" `pbprop' "&" `dcprop' " & " `fbprop' "\\"
disp  "&(" `initsd' ")&(" `subsd' ") & (p=" `pval' ")&" "\\"
}

reg moneybs moneyt0 if moneyk==21 & moneysample==1, clu(id)


log off






/** Table A9: Parameter Estimates Including 9 Additional Subjects**/
/* Column 1: Money All Delay Lengths */
intreg logmoneyratiolow logmoneyratiohigh moneyt0 logmoneypratio moneyk if moneysample2 ==1 & moneychoices ==1, nocons clu(id)
nlcom (alpha: (1/_b[logmoneypratio] + 1) ) (delta: (exp(_b[moneyk]/_b[logmoneypratio]))^7) (beta: exp(_b[moneyt0]/_b[logmoneypratio]))  , post
est store col1
test beta = 1
scalar b1 = round(r(chi2), .01)
scalar b1p = round(r(p), .001)
test delta = 1
scalar d1 = round(r(chi2), .01)
scalar d1p = round(r(p), .001)

/* Column 2: Three Week Delay Lengths */
intreg logmoneyratiolow logmoneyratiohigh moneyt0 logmoneypratio moneyk if moneysample2 ==1 & moneychoices ==1 & moneyk == 21, nocons clu(id)
nlcom (alpha: (1/_b[logmoneypratio] + 1) ) (delta: (exp(_b[moneyk]/_b[logmoneypratio]))^7) (beta: exp(_b[moneyt0]/_b[logmoneypratio]))  , post
est store col2
test beta = 1
scalar b2 = round(r(chi2), .01)
scalar b2p = round(r(p), .001)
test delta = 1
scalar d2 = round(r(chi2), .01)
scalar d2p = round(r(p), .001)

/* Column 3: Greek Transcription */
intreg logworkratiolow logworkratiohigh t0 logpratio k  if task == 1 & (attrit == 0|dropped==1) & late == 0, nocons clu(id)
nlcom (lambda: (1/_b[logpratio] + 1) ) (delta: (exp(_b[k]/_b[logpratio]))^7) (beta: exp(_b[t0]/_b[logpratio]))  , post
est store col3
test beta = 1
scalar b3 = round(r(chi2), .01)
scalar b3p = round(r(p), .001)
test delta = 1
scalar d3 = round(r(chi2), .01)
scalar d3p = round(r(p), .001)

/* Column 4: Tetris */
intreg logworkratiolow logworkratiohigh t0 logpratio k  if task == 2 & (attrit == 0|dropped==1) & late == 0, nocons clu(id)
nlcom (lambda: (1/_b[logpratio] + 1) ) (delta: (exp(_b[k]/_b[logpratio]))^7) (beta: exp(_b[t0]/_b[logpratio]))  , post
est store col4
test beta = 1
scalar b4 = round(r(chi2), .01)
scalar b4p = round(r(p), .001)
test delta = 1
scalar d4 = round(r(chi2), .01)
scalar d4p = round(r(p), .001)

/* Column 5: Combined Greek and Tetris */
xi: intreg logworkratiolow logworkratiohigh t0 logpratio k i.task   if (attrit == 0|dropped==1) & late == 0, nocons clu(id)
nlcom (lambda: (1/_b[logpratio] + 1) ) (delta: (exp(_b[k]/_b[logpratio]))^7) (beta: exp(_b[t0]/_b[logpratio]))  , post
est store col5
test beta = 1
scalar b5 = round(r(chi2), .01)
scalar b5p = round(r(p), .001)
test delta = 1
scalar d5 = round(r(chi2), .01)
scalar d5p = round(r(p), .001)

log on
/* Table A9: Parameter Estimates Including 9 Additional Subjects */
estout col1 col2 col3 col4 col5 , cells(b(fmt(%9.3f)) se(par fmt(%9.3f))) style(tex) stats(N ll r2) order(beta delta alpha lambda)

disp "&" b1 "&" b2 "&" b3 "&" b4 "&" b5 "\\"
disp "& (p =" b1p ")&( p =" b2p ")&(p =" b3p ")&(p=" b4p ")& (p=" b5p ")\\"
log off

/* Test for Equality of Present Bias Across Work And Money */
/* Estimate Columns 1, 2, 5 */
intreg logworkratiolow logworkratiohigh t0 logpratio k i.task  if (attrit == 0|dropped==1) & late == 0, nocons
est store col5init
intreg logmoneyratiolow logmoneyratiohigh moneyt0 logmoneypratio moneyk if moneysample2 ==1 , nocons 
est store col1init
intreg logmoneyratiolow logmoneyratiohigh moneyt0 logmoneypratio moneyk if moneysample2 ==1 & moneyk ==21, nocons 
est store col2init

/* Combine Estimates with Seemingly Unrelated Regression */
suest col5init col1init col2init , vce(cluster id)

log on
/* Table A9 Tested Hypotheses */
/* Tests for Equal Betas for Columns 1 & 5 and Columns 2 & 5 */
nlcom (betawork: exp([col5init_model]t0/[col5init_model]logpratio)) (betamoneyall: exp([col1init_model]moneyt0/[col1init_model]logmoneypratio) ) (betamoney3week: exp([col2init_model]moneyt0/[col2init_model]logmoneypratio))
testnl exp([col5init_model]t0/[col5init_model]logpratio) = exp([col1init_model]moneyt0/[col1init_model]logmoneypratio)
testnl exp([col5init_model]t0/[col5init_model]logpratio) = exp([col2init_model]moneyt0/[col2init_model]logmoneypratio)
log off


/* Table A10: Parameter Estimates By Week */
/* Column 1: Week 1  */
xi: intreg logworkratiolow logworkratiohigh logpratio k i.task   if attrit == 0 & round == 1, nocons clu(id)
nlcom (lambda: (1/_b[logpratio] + 1) ) (delta: (exp(_b[k]/_b[logpratio]))^7) , post
est store col1
test delta = 1
scalar d1 = round(r(chi2), .01)
scalar d1p = round(r(p), .001)

/* Column 2: Week 2 */
xi: intreg logworkratiolow logworkratiohigh logpratio k i.task   if attrit == 0 & round == 2, nocons clu(id)
nlcom (lambda: (1/_b[logpratio] + 1) ) (delta: (exp(_b[k]/_b[logpratio]))^7) , post
est store col2
test delta = 1
scalar d2 = round(r(chi2), .01)
scalar d2p = round(r(p), .001)

/* Column 3: Week 4 */
xi: intreg logworkratiolow logworkratiohigh logpratio k i.task   if attrit == 0 & round == 4, nocons clu(id)
nlcom (lambda: (1/_b[logpratio] + 1) ) (delta: (exp(_b[k]/_b[logpratio]))^7) , post
est store col3
test delta = 1
scalar d3 = round(r(chi2), .01)
scalar d3p = round(r(p), .001)

/* Column 4: Week 5 */
xi: intreg logworkratiolow logworkratiohigh logpratio k i.task   if attrit == 0 & round == 5, nocons clu(id)
nlcom (lambda: (1/_b[logpratio] + 1) ) (delta: (exp(_b[k]/_b[logpratio]))^7) , post
est store col4
test delta = 1
scalar d4 = round(r(chi2), .01)
scalar d4p = round(r(p), .001)

log on
/*Table A10: Parameter Estimates By Week  */
estout col1 col2 col3 col4 , cells(b(fmt(%9.3f)) se(par fmt(%9.3f))) style(tex) stats(N ll r2) order(delta lambda)
disp "&" d1 "&" d2 "&" d3 "&" d4 "\\"
disp "& (p =" d1p ")&( p =" d2p ")&(p =" d3p ")&(p=" d4p ")\\"
log off



/* Test for Equality of Discounting Across Rounds*/
/* Estimate Columns 1, 2, 3, 4 */
xi: intreg logworkratiolow logworkratiohigh logpratio k i.task   if attrit == 0 & round == 1, nocons 
est store col1init
xi: intreg logworkratiolow logworkratiohigh logpratio k i.task   if attrit == 0 & round == 2, nocons 
est store col2init
xi: intreg logworkratiolow logworkratiohigh logpratio k i.task   if attrit == 0 & round == 4, nocons 
est store col3init
xi: intreg logworkratiolow logworkratiohigh logpratio k i.task   if attrit == 0 & round == 5, nocons 
est store col4init

/* Combine Estimates with Seemingly Unrelated Regression */
suest col1init col2init col3init col4init, vce(cluster uniqid)


log on
/* Table A10 Tested Hypotheses */
/* Tests for Equal Weekly Discount Factors and Cost Functions for Columns 1 & 2 and Columns 3 & 4 */
testnl (exp([col1init_model]k/[col1init_model]logpratio))^7 = (exp([col2init_model]k/[col2init_model]logpratio))^7
testnl 1/[col1init_model]logpratio = 1/[col2init_model]logpratio
testnl (exp([col3init_model]k/[col3init_model]logpratio))^7 = (exp([col4init_model]k/[col4init_model]logpratio))^7
testnl 1/[col3init_model]logpratio = 1/[col4init_model]logpratio
log off





/** Table A11: Parameter Estimates Full Effort Data Set **/
/* Column 1: Money All Delay Lengths */
intreg logmoneyratiolow logmoneyratiohigh moneyt0 logmoneypratio moneyk if moneysample ==1 & moneychoices ==1, nocons clu(id)
nlcom (alpha: (1/_b[logmoneypratio] + 1) ) (delta: (exp(_b[moneyk]/_b[logmoneypratio]))^7) (beta: exp(_b[moneyt0]/_b[logmoneypratio]))  , post
est store col1
test beta = 1
scalar b1 = round(r(chi2), .01)
scalar b1p = round(r(p), .001)
test delta = 1
scalar d1 = round(r(chi2), .01)
scalar d1p = round(r(p), .001)

/* Column 2: Three Week Delay Lengths */
intreg logmoneyratiolow logmoneyratiohigh moneyt0 logmoneypratio moneyk if moneysample ==1 & moneychoices ==1 & moneyk == 21, nocons clu(id)
nlcom (alpha: (1/_b[logmoneypratio] + 1) ) (delta: (exp(_b[moneyk]/_b[logmoneypratio]))^7) (beta: exp(_b[moneyt0]/_b[logmoneypratio]))  , post
est store col2
test beta = 1
scalar b2 = round(r(chi2), .01)
scalar b2p = round(r(p), .001)
test delta = 1
scalar d2 = round(r(chi2), .01)
scalar d2p = round(r(p), .001)

/* Column 3: Greek Transcription */
intreg logworkratiolow logworkratiohigh t0 logpratio k i.late  if task == 1 & attrit == 0, nocons clu(id)
nlcom (lambda: (1/_b[logpratio] + 1) ) (delta: (exp(_b[k]/_b[logpratio]))^7) (beta: exp(_b[t0]/_b[logpratio]))  , post
est store col3
test beta = 1
scalar b3 = round(r(chi2), .01)
scalar b3p = round(r(p), .001)
test delta = 1
scalar d3 = round(r(chi2), .01)
scalar d3p = round(r(p), .001)

/* Column 4: Tetris */
intreg logworkratiolow logworkratiohigh t0 logpratio k i.late  if task == 2 & attrit == 0, nocons clu(id)
nlcom (lambda: (1/_b[logpratio] + 1) ) (delta: (exp(_b[k]/_b[logpratio]))^7) (beta: exp(_b[t0]/_b[logpratio]))  , post
est store col4
test beta = 1
scalar b4 = round(r(chi2), .01)
scalar b4p = round(r(p), .001)
test delta = 1
scalar d4 = round(r(chi2), .01)
scalar d4p = round(r(p), .001)

/* Column 5: Combined Greek and Tetris */
xi: intreg logworkratiolow logworkratiohigh t0 logpratio k i.task  i.late  if attrit == 0 , nocons clu(id)
nlcom (lambda: (1/_b[logpratio] + 1) ) (delta: (exp(_b[k]/_b[logpratio]))^7) (beta: exp(_b[t0]/_b[logpratio]))  , post
est store col5
test beta = 1
scalar b5 = round(r(chi2), .01)
scalar b5p = round(r(p), .001)
test delta = 1
scalar d5 = round(r(chi2), .01)
scalar d5p = round(r(p), .001)

log on
/* Table A11: Parameter Estimates Full Effort Data Set */
estout col1 col2 col3 col4 col5 , cells(b(fmt(%9.3f)) se(par fmt(%9.3f))) style(tex) stats(N ll r2) order(beta delta alpha lambda)

disp "&" b1 "&" b2 "&" b3 "&" b4 "&" b5 "\\"
disp "& (p =" b1p ")&( p =" b2p ")&(p =" b3p ")&(p=" b4p ")& (p=" b5p ")\\"
log off

/* Test for Equality of Present Bias Across Work And Money */
/* Estimate Columns 1, 2, 5 */
intreg logworkratiolow logworkratiohigh t0 logpratio k i.task i.late if attrit == 0, nocons
est store col5init
intreg logmoneyratiolow logmoneyratiohigh moneyt0 logmoneypratio moneyk if moneysample ==1 , nocons 
est store col1init
intreg logmoneyratiolow logmoneyratiohigh moneyt0 logmoneypratio moneyk if moneysample ==1 & moneyk ==21, nocons 
est store col2init

/* Combine Estimates with Seemingly Unrelated Regression */
suest col5init col1init col2init , vce(cluster uniqid)

log on
/* Table A11 Tested Hypotheses */
/* Tests for Equal Betas for Columns 1 & 5 and Columns 2 & 5 */
nlcom (betawork: exp([col5init_model]t0/[col5init_model]logpratio)) (betamoneyall: exp([col1init_model]moneyt0/[col1init_model]logmoneypratio) ) (betamoney3week: exp([col2init_model]moneyt0/[col2init_model]logmoneypratio))
testnl exp([col5init_model]t0/[col5init_model]logpratio) = exp([col1init_model]moneyt0/[col1init_model]logmoneypratio)
testnl exp([col5init_model]t0/[col5init_model]logpratio) = exp([col2init_model]moneyt0/[col2init_model]logmoneypratio)
log off




/** Table A12: Monetary and Real Effort Discounting by Commitment Full Effort Data Set **/
/* Column 1: Noncommitting Subjects, Monetary Discounting */
intreg logmoneyratiolow logmoneyratiohigh moneyt0 logmoneypratio moneyk if moneysample ==1 & moneychoices ==1 & committer == 0 & moneyk == 21, nocons clu(uniqid)
nlcom (alpha: (1/_b[logmoneypratio] + 1) ) (delta: (exp(_b[moneyk]/_b[logmoneypratio]))^7) (beta: exp(_b[moneyt0]/_b[logmoneypratio]))  , post
est store col1
test beta = 1
scalar b1 = round(r(chi2), .01)
scalar b1p = round(r(p), .001)

/* Column 2: Committing Subjects, Monetary Discounting */
intreg logmoneyratiolow logmoneyratiohigh moneyt0 logmoneypratio moneyk if moneysample ==1 & moneychoices ==1 & committer == 1 & moneyk == 21, nocons clu(uniqid)
nlcom (alpha: (1/_b[logmoneypratio] + 1) ) (delta: (exp(_b[moneyk]/_b[logmoneypratio]))^7) (beta: exp(_b[moneyt0]/_b[logmoneypratio]))  , post
est store col2
test beta = 1
scalar b2 = round(r(chi2), .01)
scalar b2p = round(r(p), .001)

/* Column 3: Noncommitting Subjects, Effort Discounting */
xi: intreg logworkratiolow logworkratiohigh t0 logpratio k i.task i.late  if attrit == 0 & committer == 0 , nocons clu(id)
nlcom (lambda: (1/_b[logpratio] + 1) ) (delta: (exp(_b[k]/_b[logpratio]))^7) (beta: exp(_b[t0]/_b[logpratio]))  , post
est store col3
test beta = 1
scalar b3 = round(r(chi2), .01)
scalar b3p = round(r(p), .001)

/* Column 4: Committing Subjects, Effort Discounting */
xi: intreg logworkratiolow logworkratiohigh t0 logpratio k i.task  i.late if attrit == 0 & committer == 1 , nocons clu(id)
nlcom (lambda: (1/_b[logpratio] + 1) ) (delta: (exp(_b[k]/_b[logpratio]))^7) (beta: exp(_b[t0]/_b[logpratio]))  , post
est store col4
test beta = 1
scalar b4 = round(r(chi2), .01)
scalar b4p = round(r(p), .001)

log on
/* Table A12: Monetary and Real Effort Discounting by Commitment */
estout col1 col2 col3 col4, cells(b(fmt(%9.3f)) se(par fmt(%9.3f))) style(tex) stats(N ll r2) order(beta delta alpha lambda)

disp "&" b1 "&" b2 "&" b3 "&" b4 "\\"
disp "& (p =" b1p ")&( p =" b2p ")&(p =" b3p ")&(p=" b4p ")\\"
log off


/* Test for Equality of Present Bias Across Committing and Non Committing Subjects */
/* Estimate Columns 1-4 */
intreg logmoneyratiolow logmoneyratiohigh moneyt0 logmoneypratio moneyk if moneysample ==1 & moneychoices ==1 & committer == 0 & moneyk == 21 , nocons
est store col1init
intreg logmoneyratiolow logmoneyratiohigh moneyt0 logmoneypratio moneyk if moneysample ==1 & moneychoices ==1 & committer == 1 & moneyk == 21, nocons
est store col2init
xi: intreg logworkratiolow logworkratiohigh t0 logpratio k i.task i.late if attrit == 0   & committer == 0 , nocons
est store col3init
xi: intreg logworkratiolow logworkratiohigh t0 logpratio k i.task i.late if attrit == 0   & committer == 1 , nocons
est store col4init

/* Combine Estimates with Seemingly Unrelated Regression */
suest col1init col2init col3init col4init, vce(cluster id)

log on
/* Table A12 Tested Hypotheses */
/* Tests for Equal Betas for Columns 1 & 2 and Columns 3 & 4 */
testnl exp([col1init_model]moneyt0/[col1init_model]logmoneypratio) = exp([col2init_model]moneyt0/[col2init_model]logmoneypratio)
testnl exp([col3init_model]t0/[col3init_model]logpratio) = exp([col4init_model]t0/[col4init_model]logpratio)

log off


/**** End Aggregate Tables ****/


/**** Begin Aggregate Figures ****/

/* Figure 4: Monetary Discounting Behavior */
capture drop temp
egen temp = group(decisionblock pratio)
capture drop temp2
egen temp2 = group(pratio moneyk)
xi: reg money1 i.temp if moneychoices == 1 & attrit == 0 & moneysample == 1, clu(id)
capture drop meanmoney1
predict meanmoney1
capture drop semoney1 
predict semoney1 , stdp
capture drop m1low
gen m1low = meanmoney1 - 1*semoney1 
capture drop m1high
gen m1high = meanmoney1 + 1*semoney1 

twoway (rcap m1low m1high discountrate ) (connected meanmoney1 discountrate if decisionblock == 1, sort) (connected meanmoney1 discountrate if decisionblock == 3, sort) (connected meanmoney1 discountrate if decisionblock == 4, sort) (connected meanmoney1 discountrate if decisionblock == 2, sort) if decisionblock != . & id ==33,  by(moneyk, rows(2)) legend(order(2 "Wk 1 vs. Wk 4"  4 "Wk 4 vs. Wk 7" 3 "Wk 4 vs. Wk 7 (Prosp.)"  5 "Wk 1 vs. Wk 7"  1 "SE" ) row(3) ) xtitle("P" "(from Pc{sub:t}+c{sub:t+k}=20)") ytitle("Dollars Allocated to Early Date") ylab(0(5)20) scheme(s1mono) by(, note(, size(zero))) xsize(8.5) ysize(11) 
graph export "Output/money.pdf", replace



/* Figure 5: Real Effort Discounting Behavior */
capture drop temp
egen temp = group(discountrate task t0)

xi: reg date1_work i.temp if choices ==1 & attrit == 0 & late == 0 , clu(id)
capture drop meanwork1 
predict meanwork1
capture drop sework1 
predict sework1, stdp
capture drop work1low
gen work1low = meanwork1 - 1*sework1
capture drop work1high
gen work1high = meanwork1 + 1*sework1

twoway (rcap work1low work1high discountrate if round==1 |round == 2) (connected meanwork1 discountrate if round==1, sort)  (connected meanwork1 discountrate if round==2, sort) if id == 33, by(task, rows(2)) legend(order(2 "Initial Allocation" "Mean" 3 "Subsequent Allocation" "Mean" 1 "SE") row(1)) xtitle("R" "(from e{sub:t}+Re{sub:t+k}=50)") ytitle("Tasks Allocated to Early Date") ylab(10(10)40) by(, note(, size(zero))) scheme(s1mono) xsize(8.5) ysize(11)
graph export "Output/work.pdf", replace


/* Figure 7: Commitment Choices and Allocation Behavior */
/* Panel A: Committing Subjects */
capture drop temp
egen temp = group(discountrate task t0)

xi: reg date1_work i.temp  if choices ==1 & attrit == 0 & committer == 1 &late== 0, clu(id)

capture drop meanwork1 
predict meanwork1
capture drop sework1 
predict sework1, stdp
capture drop work1low
gen work1low = meanwork1 - 1*sework1
capture drop work1high
gen work1high = meanwork1 + 1*sework1


twoway (rcap work1low work1high discountrate if round==1 |round == 2) (connected meanwork1 discountrate if round==1, sort)  (connected meanwork1 discountrate if round==2, sort) if id == 33, by(task, row(2)) legend(order(2 "Initial Allocation" "Mean" 3 "Subsequent Allocation" "Mean" 1 "SE") row(1) ) xtitle("R" "(from e{sub:t}+Re{sub:t+k}=50)", size(large)) ytitle("Tasks Allocated to Early Date", size(large))  ylab(10(10)40) by(, note(, size(zero))) scheme(s1mono) ysize(11) xsize(8.5)
graph export "Output/workcommit1.pdf", replace
twoway (rcap work1low work1high discountrate if round==1 |round == 2) (connected meanwork1 discountrate if round==1, sort)  (connected meanwork1 discountrate if round==2, sort) if id == 33, by(task, row(2) title("Panel B: Commit = 1")  legend(off))  xtitle("R" "(from e{sub:t}+Re{sub:t+k}=50)", size(large)) ytitle("Tasks Allocated to Early Date", size(large))  ylab(10(10)40) by(, note(, size(zero))) scheme(s1mono) ysize(11) xsize(8.5) 
graph save "Output/panelB.gph", replace

/* Panel B: Noncommitting Subjects */
capture drop temp
egen temp = group(discountrate task t0)

xi: reg date1_work i.temp  if choices ==1 & attrit == 0 & committer == 0 &late== 0, clu(id)

capture drop meanwork1 
predict meanwork1
capture drop sework1 
predict sework1, stdp
capture drop work1low
gen work1low = meanwork1 - 1*sework1
capture drop work1high
gen work1high = meanwork1 + 1*sework1

twoway (rcap work1low work1high discountrate if round==1 |round == 2) (connected meanwork1 discountrate if round==1, sort)  (connected meanwork1 discountrate if round==2, sort) if id == 39, by(task, row(2)) legend(order(2 "Initial Allocation" "Mean" 3 "Subsequent Allocation" "Mean" 1 "SE") row(1) ) xtitle("R" "(from e{sub:t}+Re{sub:t+k}=50)", size(large)) ytitle("Tasks Allocated to Early Date", size(large)) ylab(10(10)40) by(, note(, size(zero))) scheme(s1mono) ysize(11) xsize(8.5)
graph export "Output/workcommit0.pdf", replace
twoway (rcap work1low work1high discountrate if round==1 |round == 2) (connected meanwork1 discountrate if round==1, sort)  (connected meanwork1 discountrate if round==2, sort) if id == 39, by(task, row(2) title("Panel A: Commit = 0") legend(order(2 "Initial Allocation" "Mean" 3 "Subsequent Allocation" "Mean" 1 "SE") row(1) off ) )  xtitle("R" "(from e{sub:t}+Re{sub:t+k}=50)", size(large)) ytitle("Tasks Allocated to Early Date", size(large)) ylab(10(10)40) by(, note(, size(zero))) scheme(s1mono) ysize(11) xsize(8.5) 
graph save "Output/panelA.gph", replace

grc1leg "Output/panelA.gph" "Output/panelB.gph", xcommon ycommon row(1) scheme(s1mono)
graph export "Output/workcommitfig.pdf", replace

/* Figure A1: Real Effort Discounting Behavior Full Effort Data Set*/
capture drop temp
egen temp = group(discountrate task t0)

xi: reg date1_work i.temp if choices ==1 & attrit == 0 , clu(id)
capture drop meanwork1 
predict meanwork1
capture drop sework1 
predict sework1, stdp
capture drop work1low
gen work1low = meanwork1 - 1*sework1
capture drop work1high
gen work1high = meanwork1 + 1*sework1


twoway (rcap work1low work1high discountrate if round==1 |round == 2) (connected meanwork1 discountrate if round==1, sort)  (connected meanwork1 discountrate if round==2, sort) if id == 33, by(task, rows(2)) legend(order(2 "Initial Allocation" "Mean" 3 "Subsequent Allocation" "Mean" 1 "SE") row(1)) xtitle("R" "(from e{sub:t}+Re{sub:t+k}=50)") ytitle("Tasks Allocated to Early Date") ylab(10(10)40) by(, note(, size(zero))) scheme(s1mono) xsize(8.5) ysize(11)
graph export "Output/workfull.pdf", replace

/* Figure A3: Commitment Choices and Allocation Behavior Full Effort Data Set */
/* Panel A: Committing Subjects */
capture drop temp
egen temp = group(discountrate task t0)

xi: reg date1_work i.temp  if choices ==1 & committer == 1 & attrit == 0, clu(id)

capture drop meanwork1 
predict meanwork1
capture drop sework1 
predict sework1, stdp
capture drop work1low
gen work1low = meanwork1 - 1*sework1
capture drop work1high
gen work1high = meanwork1 + 1*sework1


twoway (rcap work1low work1high discountrate if round==1 |round == 2) (connected meanwork1 discountrate if round==1, sort)  (connected meanwork1 discountrate if round==2, sort) , by(task) legend(order(2 "Initial Allocation" "Mean" 3 "Subsequent Allocation" "Mean" 1 "SE") row(1) ) xtitle("R" "(from e{sub:t}+Re{sub:t+k}=50)", size(large)) ytitle("Tasks Allocated to Early Date", size(large)) ylab(10(10)40) by(, note(, size(zero))) scheme(s1mono)
graph export "Output/workcommit1full.pdf", replace


/* Panel B: Noncommitting Subjects */
capture drop temp
egen temp = group(discountrate task t0)

xi: reg date1_work i.temp  if choices ==1  & committer == 0 & attrit == 0, clu(id)

capture drop meanwork1 
predict meanwork1
capture drop sework1 
predict sework1, stdp
capture drop work1low
gen work1low = meanwork1 - 1*sework1
capture drop work1high
gen work1high = meanwork1 + 1*sework1

twoway (rcap work1low work1high discountrate if round==1 |round == 2) (connected meanwork1 discountrate if round==1, sort)  (connected meanwork1 discountrate if round==2, sort) , by(task) legend(order(2 "Initial Allocation" "Mean" 3 "Subsequent Allocation" "Mean" 1 "SE") row(1) ) xtitle("R" "(from e{sub:t}+Re{sub:t+k}=50)", size(large)) ytitle("Tasks Allocated to Early Date", size(large)) ylab(10(10)40) by(, note(, size(zero))) scheme(s1mono)
graph export "Output/workcommit0full.pdf", replace

/*** End Aggregate Figures ****/


/* Begin Additional Analyses */
/* Discussion Appendix Additional Analyses */

/* Weekly Parameter Estimates for Committing and Non Committing Subjects */
/* Table A10: Parameter Estimates By Week */
/* Column 1: Week 1 Committer */
xi: intreg logworkratiolow logworkratiohigh logpratio k i.task   if attrit == 0 & round == 1 & committer == 1, nocons clu(id)
nlcom (lambda: (1/_b[logpratio] + 1) ) (delta: (exp(_b[k]/_b[logpratio]))^7) , post
est store col1
test delta = 1
scalar d1 = round(r(chi2), .01)
scalar d1p = round(r(p), .001)

/* Column 2: Week 2 Committer */
xi: intreg logworkratiolow logworkratiohigh logpratio k i.task   if attrit == 0 & round == 2 & committer == 1, nocons clu(id)
nlcom (lambda: (1/_b[logpratio] + 1) ) (delta: (exp(_b[k]/_b[logpratio]))^7) , post
est store col2
test delta = 1
scalar d2 = round(r(chi2), .01)
scalar d2p = round(r(p), .001)


/* Column 3: Week 1 Noncommitter */
xi: intreg logworkratiolow logworkratiohigh logpratio k i.task   if attrit == 0 & round == 1 & committer == 0, nocons clu(id)
nlcom (lambda: (1/_b[logpratio] + 1) ) (delta: (exp(_b[k]/_b[logpratio]))^7) , post
est store col3
test delta = 1
scalar d3= round(r(chi2), .01)
scalar d3p = round(r(p), .001)

/* Column 2: Week 2 Noncommitter */
xi: intreg logworkratiolow logworkratiohigh logpratio k i.task   if attrit == 0 & round == 2 & committer == 0, nocons clu(id)
nlcom (lambda: (1/_b[logpratio] + 1) ) (delta: (exp(_b[k]/_b[logpratio]))^7) , post
est store col4
test delta = 1
scalar d4 = round(r(chi2), .01)
scalar d4p = round(r(p), .001)




log on
/* Weekly Parameter Estimates for Committing and Non Committing Subjects */
estout col1 col2 col3 col4 , cells(b(fmt(%9.3f)) se(par fmt(%9.3f))) style(tex) stats(N ll r2) order(delta lambda)
disp "&" d1 "&" d2 "&" d3 "&" d4 "\\"
disp "& (p =" d1p ")&( p =" d2p ")&(p =" d3p ")&(p=" d4p ")\\"
log off


/* Test for Equality of Discounting Across Rounds*/
/* Estimate Columns 1, 2, 3, 4 */
xi: intreg logworkratiolow logworkratiohigh logpratio k i.task   if attrit == 0 & round == 1 & committer == 1, nocons 
est store col1init
xi: intreg logworkratiolow logworkratiohigh logpratio k i.task   if attrit == 0 & round == 2 & committer == 1, nocons 
est store col2init
xi: intreg logworkratiolow logworkratiohigh logpratio k i.task   if attrit == 0 & round == 1 & committer == 0, nocons 
est store col3init
xi: intreg logworkratiolow logworkratiohigh logpratio k i.task   if attrit == 0 & round == 2 & committer == 0, nocons 
est store col4init



log on
/* Weekly Parameter Estimates for Committing and Non Committing Subjects */
/* Tests for Equal Weekly Discount Factors and Cost Functions for Columns 1 & 2*/
suest col1init col2init, vce(cluster uniqid)
testnl (exp([col1init_model]k/[col1init_model]logpratio))^7 = (exp([col2init_model]k/[col2init_model]logpratio))^7
testnl 1/[col1init_model]logpratio = 1/[col2init_model]logpratio
/* Weekly Parameter Estimates for Committing and Non Committing Subjects */
/* Tests for Equal Weekly Discount Factors and Cost Functions for Columns 3 & 4*/
suest col3init col4init, vce(cluster uniqid)
testnl (exp([col3init_model]k/[col3init_model]logpratio))^7 = (exp([col4init_model]k/[col4init_model]logpratio))^7
testnl 1/[col3init_model]logpratio = 1/[col4init_model]logpratio
log off









