/* Individual Estimates Final.do*/ 
/* Figure 6 */
/* Appendix Tables A5-A6 */




/* Begin Individual Level Estimation */
/********************************/
/* Primary Estimator for Effort */

/* Identifiers for 89 Non-attrited individuals with Complete Data Sets */
/* Includes individuals with no variation in response in one or more weeks */
capture drop uniqid2
egen uniqid2 = group(id) if (attrit == 0|dropped ==1) 


/* Estimate effort discounting parameters with assumption of common cost function */
xi: reg logworkratio  i.t0*i.uniqid2 logpratio i.task if uniqid2 != .  & late == 0, r
nlcom (beta1: exp(_b[_It0_1]/_b[logpratio])) /// 
(beta2: exp((_b[_It0_1] +  _b[_It0Xuni_1_2])/_b[logpratio])) ///
(beta3: exp((_b[_It0_1] +  _b[_It0Xuni_1_3])/_b[logpratio])) ///
(beta4: exp((_b[_It0_1] +  _b[_It0Xuni_1_4])/_b[logpratio])) ///
(beta5: exp((_b[_It0_1] +  _b[_It0Xuni_1_5])/_b[logpratio])) ///
(beta6: exp((_b[_It0_1] +  _b[_It0Xuni_1_6])/_b[logpratio])) ///
(beta7: exp((_b[_It0_1] +  _b[_It0Xuni_1_7])/_b[logpratio])) ///
(beta8: exp((_b[_It0_1] +  _b[_It0Xuni_1_8])/_b[logpratio])) ///
(beta9: exp((_b[_It0_1] +  _b[_It0Xuni_1_9])/_b[logpratio])) ///
(beta10: exp((_b[_It0_1] +  _b[_It0Xuni_1_10])/_b[logpratio])) ///
(beta11: exp((_b[_It0_1] +  _b[_It0Xuni_1_11])/_b[logpratio])) ///
(beta12: exp((_b[_It0_1] +  _b[_It0Xuni_1_12])/_b[logpratio])) ///
(beta13: exp((_b[_It0_1] +  _b[_It0Xuni_1_13])/_b[logpratio])) ///
(beta14: exp((_b[_It0_1] +  _b[_It0Xuni_1_14])/_b[logpratio])) ///
(beta15: exp((_b[_It0_1] +  _b[_It0Xuni_1_15])/_b[logpratio])) ///
(beta16: exp((_b[_It0_1] +  _b[_It0Xuni_1_16])/_b[logpratio])) ///
(beta17: exp((_b[_It0_1] +  _b[_It0Xuni_1_17])/_b[logpratio])) ///
(beta18: exp((_b[_It0_1] +  _b[_It0Xuni_1_18])/_b[logpratio])) ///
(beta19: exp((_b[_It0_1] +  _b[_It0Xuni_1_19])/_b[logpratio])) ///
(beta20: exp((_b[_It0_1] +  _b[_It0Xuni_1_20])/_b[logpratio])) ///
(beta21: exp((_b[_It0_1] +  _b[_It0Xuni_1_21])/_b[logpratio])) ///
(beta22: exp((_b[_It0_1] +  _b[_It0Xuni_1_22])/_b[logpratio])) ///
(beta23: exp((_b[_It0_1] +  _b[_It0Xuni_1_23])/_b[logpratio])) ///
(beta24: exp((_b[_It0_1] +  _b[_It0Xuni_1_24])/_b[logpratio])) ///
(beta25: exp((_b[_It0_1] +  _b[_It0Xuni_1_25])/_b[logpratio])) ///
(beta26: exp((_b[_It0_1] +  _b[_It0Xuni_1_26])/_b[logpratio])) ///
(beta27: exp((_b[_It0_1] +  _b[_It0Xuni_1_27])/_b[logpratio])) ///
(beta28: exp((_b[_It0_1] +  _b[_It0Xuni_1_28])/_b[logpratio])) ///
(beta29: exp((_b[_It0_1] +  _b[_It0Xuni_1_29])/_b[logpratio])) ///
(beta30: exp((_b[_It0_1] +  _b[_It0Xuni_1_30])/_b[logpratio])) ///
(beta31: exp((_b[_It0_1] +  _b[_It0Xuni_1_31])/_b[logpratio])) ///
(beta32: exp((_b[_It0_1] +  _b[_It0Xuni_1_32])/_b[logpratio])) ///
(beta33: exp((_b[_It0_1] +  _b[_It0Xuni_1_33])/_b[logpratio])) ///
(beta34: exp((_b[_It0_1] +  _b[_It0Xuni_1_34])/_b[logpratio])) ///
(beta35: exp((_b[_It0_1] +  _b[_It0Xuni_1_35])/_b[logpratio])) ///
(beta36: exp((_b[_It0_1] +  _b[_It0Xuni_1_36])/_b[logpratio])) ///
(beta37: exp((_b[_It0_1] +  _b[_It0Xuni_1_37])/_b[logpratio])) ///
(beta38: exp((_b[_It0_1] +  _b[_It0Xuni_1_38])/_b[logpratio])) ///
(beta39: exp((_b[_It0_1] +  _b[_It0Xuni_1_39])/_b[logpratio])) ///
(beta40: exp((_b[_It0_1] +  _b[_It0Xuni_1_40])/_b[logpratio])) ///
(beta41: exp((_b[_It0_1] +  _b[_It0Xuni_1_41])/_b[logpratio])) ///
(beta42: exp((_b[_It0_1] +  _b[_It0Xuni_1_42])/_b[logpratio])) ///
(beta43: exp((_b[_It0_1] +  _b[_It0Xuni_1_43])/_b[logpratio])) ///
(beta44: exp((_b[_It0_1] +  _b[_It0Xuni_1_44])/_b[logpratio])) ///
(beta45: exp((_b[_It0_1] +  _b[_It0Xuni_1_45])/_b[logpratio])) ///
(beta46: exp((_b[_It0_1] +  _b[_It0Xuni_1_46])/_b[logpratio])) ///
(beta47: exp((_b[_It0_1] +  _b[_It0Xuni_1_47])/_b[logpratio])) ///
(beta48: exp((_b[_It0_1] +  _b[_It0Xuni_1_48])/_b[logpratio])) ///
(beta49: exp((_b[_It0_1] +  _b[_It0Xuni_1_49])/_b[logpratio])) ///
(beta50: exp((_b[_It0_1] +  _b[_It0Xuni_1_50])/_b[logpratio])) ///
(beta51: exp((_b[_It0_1] +  _b[_It0Xuni_1_51])/_b[logpratio])) ///
(beta52: exp((_b[_It0_1] +  _b[_It0Xuni_1_52])/_b[logpratio])) ///
(beta53: exp((_b[_It0_1] +  _b[_It0Xuni_1_53])/_b[logpratio])) ///
(beta54: exp((_b[_It0_1] +  _b[_It0Xuni_1_54])/_b[logpratio])) ///
(beta55: exp((_b[_It0_1] +  _b[_It0Xuni_1_55])/_b[logpratio])) ///
(beta56: exp((_b[_It0_1] +  _b[_It0Xuni_1_56])/_b[logpratio])) ///
(beta57: exp((_b[_It0_1] +  _b[_It0Xuni_1_57])/_b[logpratio])) ///
(beta58: exp((_b[_It0_1] +  _b[_It0Xuni_1_58])/_b[logpratio])) ///
(beta59: exp((_b[_It0_1] +  _b[_It0Xuni_1_59])/_b[logpratio])) ///
(beta60: exp((_b[_It0_1] +  _b[_It0Xuni_1_60])/_b[logpratio])) ///
(beta61: exp((_b[_It0_1] +  _b[_It0Xuni_1_61])/_b[logpratio])) ///
(beta62: exp((_b[_It0_1] +  _b[_It0Xuni_1_62])/_b[logpratio])) ///
(beta63: exp((_b[_It0_1] +  _b[_It0Xuni_1_63])/_b[logpratio])) ///
(beta64: exp((_b[_It0_1] +  _b[_It0Xuni_1_64])/_b[logpratio])) ///
(beta65: exp((_b[_It0_1] +  _b[_It0Xuni_1_65])/_b[logpratio])) ///
(beta66: exp((_b[_It0_1] +  _b[_It0Xuni_1_66])/_b[logpratio])) ///
(beta67: exp((_b[_It0_1] +  _b[_It0Xuni_1_67])/_b[logpratio])) ///
(beta68: exp((_b[_It0_1] +  _b[_It0Xuni_1_68])/_b[logpratio])) ///
(beta69: exp((_b[_It0_1] +  _b[_It0Xuni_1_69])/_b[logpratio])) ///
(beta70: exp((_b[_It0_1] +  _b[_It0Xuni_1_70])/_b[logpratio])) ///
(beta71: exp((_b[_It0_1] +  _b[_It0Xuni_1_71])/_b[logpratio])) ///
(beta72: exp((_b[_It0_1] +  _b[_It0Xuni_1_72])/_b[logpratio])) ///
(beta73: exp((_b[_It0_1] +  _b[_It0Xuni_1_73])/_b[logpratio])) ///
(beta74: exp((_b[_It0_1] +  _b[_It0Xuni_1_74])/_b[logpratio])) ///
(beta75: exp((_b[_It0_1] +  _b[_It0Xuni_1_75])/_b[logpratio])) ///
(beta76: exp((_b[_It0_1] +  _b[_It0Xuni_1_76])/_b[logpratio])) ///
(beta77: exp((_b[_It0_1] +  _b[_It0Xuni_1_77])/_b[logpratio])) ///
(beta78: exp((_b[_It0_1] +  _b[_It0Xuni_1_78])/_b[logpratio])) ///
(beta79: exp((_b[_It0_1] +  _b[_It0Xuni_1_79])/_b[logpratio])) ///
(beta80: exp((_b[_It0_1] +  _b[_It0Xuni_1_80])/_b[logpratio])) ///
(beta81: exp((_b[_It0_1] +  _b[_It0Xuni_1_81])/_b[logpratio])) ///
(beta82: exp((_b[_It0_1] +  _b[_It0Xuni_1_82])/_b[logpratio])) ///
(beta83: exp((_b[_It0_1] +  _b[_It0Xuni_1_83])/_b[logpratio])) ///
(beta84: exp((_b[_It0_1] +  _b[_It0Xuni_1_84])/_b[logpratio])) ///
(beta85: exp((_b[_It0_1] +  _b[_It0Xuni_1_85])/_b[logpratio])) ///
(beta86: exp((_b[_It0_1] +  _b[_It0Xuni_1_86])/_b[logpratio])) ///
(beta87: exp((_b[_It0_1] +  _b[_It0Xuni_1_87])/_b[logpratio])) ///
(beta88: exp((_b[_It0_1] +  _b[_It0Xuni_1_88])/_b[logpratio])) ///
(beta89: exp((_b[_It0_1] +  _b[_It0Xuni_1_89])/_b[logpratio])), post


/* Match Up Effort Beta Estimates to Individuals */
capture drop workbetai
gen workbetai = .

forvalues i = 1(1)89 {
qui replace workbetai = _b[beta`i'] if uniqid2 == `i'
disp `i'
}

capture drop workpbi
gen workpbi = workbetai < 0.99


/* Primary Estimator for Money */
/* Estimate money discounting parameters with assumption of common utility function */
xi: reg logmoneyratio i.moneyt0*i.uniqid2 logmoneypratio if moneychoices ==1 & uniqid2 != . & moneyk == 21, r
nlcom (beta1: exp(_b[_Imoneyt0_1 ]/_b[logmoneypratio])) /// 
(beta2: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_2])/_b[logmoneypratio])) ///
(beta3: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_3])/_b[logmoneypratio])) ///
(beta4: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_4])/_b[logmoneypratio])) ///
(beta5: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_5])/_b[logmoneypratio])) ///
(beta6: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_6])/_b[logmoneypratio])) ///
(beta7: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_7])/_b[logmoneypratio])) ///
(beta8: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_8])/_b[logmoneypratio])) ///
(beta9: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_9])/_b[logmoneypratio])) ///
(beta10: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_10])/_b[logmoneypratio])) ///
(beta11: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_11])/_b[logmoneypratio])) ///
(beta12: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_12])/_b[logmoneypratio])) ///
(beta13: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_13])/_b[logmoneypratio])) ///
(beta14: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_14])/_b[logmoneypratio])) ///
(beta15: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_15])/_b[logmoneypratio])) ///
(beta16: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_16])/_b[logmoneypratio])) ///
(beta17: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_17])/_b[logmoneypratio])) ///
(beta18: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_18])/_b[logmoneypratio])) ///
(beta19: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_19])/_b[logmoneypratio])) ///
(beta20: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_20])/_b[logmoneypratio])) ///
(beta21: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_21])/_b[logmoneypratio])) ///
(beta22: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_22])/_b[logmoneypratio])) ///
(beta23: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_23])/_b[logmoneypratio])) ///
(beta24: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_24])/_b[logmoneypratio])) ///
(beta25: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_25])/_b[logmoneypratio])) ///
(beta26: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_26])/_b[logmoneypratio])) ///
(beta27: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_27])/_b[logmoneypratio])) ///
(beta28: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_28])/_b[logmoneypratio])) ///
(beta29: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_29])/_b[logmoneypratio])) ///
(beta30: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_30])/_b[logmoneypratio])) ///
(beta31: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_31])/_b[logmoneypratio])) ///
(beta32: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_32])/_b[logmoneypratio])) ///
(beta33: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_33])/_b[logmoneypratio])) ///
(beta34: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_34])/_b[logmoneypratio])) ///
(beta35: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_35])/_b[logmoneypratio])) ///
(beta36: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_36])/_b[logmoneypratio])) ///
(beta37: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_37])/_b[logmoneypratio])) ///
(beta38: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_38])/_b[logmoneypratio])) ///
(beta39: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_39])/_b[logmoneypratio])) ///
(beta40: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_40])/_b[logmoneypratio])) ///
(beta41: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_41])/_b[logmoneypratio])) ///
(beta42: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_42])/_b[logmoneypratio])) ///
(beta43: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_43])/_b[logmoneypratio])) ///
(beta44: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_44])/_b[logmoneypratio])) ///
(beta45: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_45])/_b[logmoneypratio])) ///
(beta46: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_46])/_b[logmoneypratio])) ///
(beta47: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_47])/_b[logmoneypratio])) ///
(beta48: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_48])/_b[logmoneypratio])) ///
(beta49: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_49])/_b[logmoneypratio])) ///
(beta50: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_50])/_b[logmoneypratio])) ///
(beta51: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_51])/_b[logmoneypratio])) ///
(beta52: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_52])/_b[logmoneypratio])) ///
(beta53: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_53])/_b[logmoneypratio])) ///
(beta54: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_54])/_b[logmoneypratio])) ///
(beta55: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_55])/_b[logmoneypratio])) ///
(beta56: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_56])/_b[logmoneypratio])) ///
(beta57: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_57])/_b[logmoneypratio])) ///
(beta58: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_58])/_b[logmoneypratio])) ///
(beta59: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_59])/_b[logmoneypratio])) ///
(beta60: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_60])/_b[logmoneypratio])) ///
(beta61: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_61])/_b[logmoneypratio])) ///
(beta62: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_62])/_b[logmoneypratio])) ///
(beta63: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_63])/_b[logmoneypratio])) ///
(beta64: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_64])/_b[logmoneypratio])) ///
(beta65: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_65])/_b[logmoneypratio])) ///
(beta66: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_66])/_b[logmoneypratio])) ///
(beta67: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_67])/_b[logmoneypratio])) ///
(beta68: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_68])/_b[logmoneypratio])) ///
(beta69: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_69])/_b[logmoneypratio])) ///
(beta70: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_70])/_b[logmoneypratio])) ///
(beta71: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_71])/_b[logmoneypratio])) ///
(beta72: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_72])/_b[logmoneypratio])) ///
(beta73: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_73])/_b[logmoneypratio])) ///
(beta74: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_74])/_b[logmoneypratio])) ///
(beta75: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_75])/_b[logmoneypratio])) ///
(beta76: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_76])/_b[logmoneypratio])) ///
(beta77: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_77])/_b[logmoneypratio])) ///
(beta78: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_78])/_b[logmoneypratio])) ///
(beta79: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_79])/_b[logmoneypratio])) ///
(beta80: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_80])/_b[logmoneypratio])) ///
(beta81: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_81])/_b[logmoneypratio])) ///
(beta82: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_82])/_b[logmoneypratio])) ///
(beta83: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_83])/_b[logmoneypratio])) ///
(beta84: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_84])/_b[logmoneypratio])) ///
(beta85: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_85])/_b[logmoneypratio])) ///
(beta86: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_86])/_b[logmoneypratio])) ///
(beta87: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_87])/_b[logmoneypratio])) ///
(beta88: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_88])/_b[logmoneypratio])) ///
(beta89: exp((_b[_Imoneyt0_1 ] +  _b[_ImonXuni_1_89])/_b[logmoneypratio])), post


/* Match Up Money Beta Estimates to Individuals */
capture drop moneybetai
gen moneybetai = .

forvalues i = 1(1)89 {
qui replace moneybetai = _b[beta`i'] if uniqid2 == `i'
disp `i'
}

capture drop moneypbi
gen moneypbi = moneybetai < 0.99


/* End Individual Level Estimation */




/* Figure 6: Individual Estimates of Present Bias and Correlation*/
histogram workbetai if  obscount  == 1 & attrit == 0, width(.025) fraction gap(3) xlabel(0.5(0.25)1.5, valuelabel) ylabel(0(.2).6) scheme(s1mono) xtitle("Work Present Bias", size(large)) ytitle(, size(large))
graph save "Output/panelA.gph", replace

histogram moneybetai if obscount  == 1 & moneysample == 1, width(.025) fraction gap(3) xlabel(0.5(0.25)1.5, valuelabel) ylabel(0(.2).6) scheme(s1mono) xtitle("Monetary Present Bias", size(large)) ytitle(, size(large))
graph save "Output/panelB.gph", replace

twoway (scatter moneybetai workbetai if moneysample == 1 & obscount == 1, jitter(5)) (lfit moneybetai workbetai if  moneysample == 1 & obscount == 1), legend(off) xlabel(0.5(0.25)1.5) ytitle(Monetary Present Bias, size(large)) xtitle(Work Present Bias, size(large)) scheme(s1mono)
graph save "Output/panelC.gph", replace

graph combine "Output/panelA.gph" "Output/panelB.gph" "Output/panelC.gph", scheme(s1mono) rows(3)  xcommon
graph export "Output/individualgraph.pdf", replace



log on
/* Appendix Tables A5-A6 for Individual Estimates */
forvalues i = 1(1)89 {
estimates clear
return clear
qui su workbetai if  uniqid2 == `i'
local workbeta = round(r(mean), .001)
qui su meaninitbs if  uniqid2 == `i'
local workinit = round(r(mean), .001)
qui su meansubbs if  uniqid2 == `i'
local worksub = round(r(mean), .001)
qui su moneybetai if  uniqid2 == `i' & moneysample2 ==1
local moneybeta = round(r(mean), .001)
qui su meanmoneyinitbs if uniqid2 == `i' & moneysample2 == 1
local moneyinit = round(r(mean), .001)
qui su meanmoneysubbs if  uniqid2 == `i'& moneysample2 == 1
local moneysub = round(r(mean), .001)
disp `i' "&" `workinit' "&" `worksub' " & " `workbeta' "&" "&" `moneyinit' "&" `moneysub' " & " `moneybeta' "\\"
}

log off

log on
/* Correlation Between Measures */
corr workbetai workpbi moneybetai moneypbi if moneysample ==1 & obscount == 1
log off

